VERSION 5.00
Begin VB.Form PropertiesWindow 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Properties"
   ClientHeight    =   6255
   ClientLeft      =   105
   ClientTop       =   1500
   ClientWidth     =   11790
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   6255
   ScaleWidth      =   11790
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin VB.ListBox PropertyList 
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   5820
      Left            =   120
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   240
      Width           =   11535
   End
End
Attribute VB_Name = "PropertiesWindow"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal _
    hwnd As Long, ByVal wMsg As Long, ByVal wParam As Long, _
    lParam As Any) As Long
Const LB_SETTABSTOPS = &H192


Private Sub Form_Load()
  
    Const Columns = 2
 
    Dim Tabulator(1 To Columns) As Long
    Tabulator(1) = 150
    Tabulator(2) = 250
 
    PropertyList.Clear
  
    SendMessage PropertyList.hwnd, LB_SETTABSTOPS, 2, Tabulator(1)
    
    Dim ResultCode As Long, ResultCodeExtended As Long, ErrorString As String
    
    ResultCode = TestForm.OPOSFiscalPrinter1.ResultCode
    ResultCodeExtended = TestForm.OPOSFiscalPrinter1.ResultCodeExtended
    ErrorString = TestForm.OPOSFiscalPrinter1.ErrorString
           
    PropertyList.AddItem "AmountDecimalPlaces" & vbTab & TestForm.OPOSFiscalPrinter1.AmountDecimalPlaces
    PropertyList.AddItem "BinaryConversion" & vbTab & TestForm.OPOSFiscalPrinter1.BinaryConversion
    PropertyList.AddItem "Claimed" & vbTab & TestForm.OPOSFiscalPrinter1.Claimed
    PropertyList.AddItem "DateType" & vbTab & TestForm.OPOSFiscalPrinter1.DateType
    PropertyList.AddItem "DayOpened" & vbTab & TestForm.OPOSFiscalPrinter1.DayOpened
    PropertyList.AddItem "DescriptionLength" & vbTab & TestForm.OPOSFiscalPrinter1.DescriptionLength
    PropertyList.AddItem "DeviceDescription" & vbTab & TestForm.OPOSFiscalPrinter1.DeviceDescription
    PropertyList.AddItem "DeviceEnabled" & vbTab & TestForm.OPOSFiscalPrinter1.DeviceEnabled
    PropertyList.AddItem "DeviceName" & vbTab & TestForm.OPOSFiscalPrinter1.DeviceName
    PropertyList.AddItem "ErrorString" & vbTab & ErrorString
    PropertyList.AddItem "FiscalReceiptStation" & vbTab & TestForm.OPOSFiscalPrinter1.FiscalReceiptStation
    PropertyList.AddItem "FiscalReceiptType" & vbTab & TestForm.OPOSFiscalPrinter1.FiscalReceiptType
    PropertyList.AddItem "FreezeEvents" & vbTab & TestForm.OPOSFiscalPrinter1.FreezeEvents
    PropertyList.AddItem "MessageLength" & vbTab & TestForm.OPOSFiscalPrinter1.MessageLength
    PropertyList.AddItem "MessageType" & vbTab & TestForm.OPOSFiscalPrinter1.MessageType
    PropertyList.AddItem "NumHeaderLines" & vbTab & TestForm.OPOSFiscalPrinter1.NumHeaderLines
    PropertyList.AddItem "NumTrailerLines" & vbTab & TestForm.OPOSFiscalPrinter1.NumTrailerLines
    PropertyList.AddItem "PrinterState" & vbTab & TestForm.OPOSFiscalPrinter1.PrinterState
    PropertyList.AddItem "QuantityDecimalPlaces" & vbTab & TestForm.OPOSFiscalPrinter1.QuantityDecimalPlaces
    PropertyList.AddItem "QuantityLength" & vbTab & TestForm.OPOSFiscalPrinter1.QuantityLength
    PropertyList.AddItem "RemainingFiscalMemory" & vbTab & TestForm.OPOSFiscalPrinter1.RemainingFiscalMemory
    PropertyList.AddItem "ReservedWord" & vbTab & TestForm.OPOSFiscalPrinter1.ReservedWord
    PropertyList.AddItem "ResultCode" & vbTab & ResultCode
    PropertyList.AddItem "ResultCodeExtended" & vbTab & ResultCodeExtended
    PropertyList.AddItem "ServiceObjectDescription" & vbTab & TestForm.OPOSFiscalPrinter1.ServiceObjectDescription
    PropertyList.AddItem "ServiceObjectVersion" & vbTab & TestForm.OPOSFiscalPrinter1.ServiceObjectVersion
    PropertyList.ListIndex = 0

End Sub

Private Sub PropertyList_Click()
    On Error Resume Next
    PropertyList.ToolTipText = Mid$(PropertyList.Text, InStr(1, PropertyList.Text, vbTab) + 1)
End Sub
